priority: 2

GTCEuStartupEvents.registry('gtceu:element', event => {
    event.create('echo', -1, -1, -1, null, 'Ec', false);
})

GTCEuStartupEvents.registry('gtceu:material', event => {
    event.create('echo')
        .element(GTElements.get('echo'))
        .fluid()
        .color(0x003333)
        .iconSet(GTMaterialIconSet.DULL);

    event.create('raw_void')
        .components('1x echo', '1x neutronium')
        .ingot(1)
        .color(0x006666)
        .iconSet(GTMaterialIconSet.DULL);

    event.create('void')
        .components('1x echo', '1x neutronium')
        .ingot(1)
        .blastTemp(10799, $BlastProperty.GasTier.HIGHEST, GTValues.V[GTValues.UEV], 8000)
        .color(0x001a1a)
        .iconSet(GTMaterialIconSet.DULL)
        .flags(GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_LONG_ROD);

    event.create("trinaquadalloy")
        .ingot().fluid()
        .color(0x281832)
        .iconSet(GTMaterialIconSet.BRIGHT)
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.GENERATE_FOIL)
        .components('6x trinium', '2x naquadah', '1x carbon')
        .blastTemp(8747, 'higher', GTValues.VA[GTValues.ZPM], 1200)

})